package org.jeecg.modules.maintenanceWork.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 维修作业管理-作业计划批次管理表
 * </p>
 *
 * @author hkl
 * @since 2023-08-09
 */
@Data
@ApiModel(value = "WorkBatch对象", description = "维修作业管理-作业计划批次管理表")
public class WorkBatchVO {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("作业计划批次号")
    private String workBatchCode;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("作业开始时间")
    private Date workStartTime;

    @ApiModelProperty("作业终止时间")
    private Date workEndTime;

    @ApiModelProperty("作业终止时间")
    private BigDecimal workStartMileage;

    @ApiModelProperty("作业终止时间")
    private BigDecimal workEndMileage;

    @ApiModelProperty("作业班组")
    private String team;

    @ApiModelProperty("分析类型（0-动静态分析 1-道岔检查 2-钢轨常规探伤检查 3-曲线钢轨磨耗检查 4-钢轨波磨检查 5-道床检查 6-线路检查）")
    private Integer analysisType;

    @ApiModelProperty("作业类型（1-单元方式 2-分析批次方式）")
    private Integer workType;

    @ApiModelProperty("来源 1-页面添加 2-超限派工添加")
    private Integer source;

    @ApiModelProperty("作业状态 0-未作业 9-已作业")
    private Integer workStatus;

    @ApiModelProperty("作业单元数量")
    private Integer workUnitDeviceNum;

    @ApiModelProperty("是否删除 0-未删除 1-已删除")
    private String delFlag;

    @ApiModelProperty("详情List")
    private List<WorkBatchDetailVO> detailList;

}
